## ros-noetic-chomp-motion-planner 1.1.13

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.3)
project(chomp_motion_planner)

find_package(catkin REQUIRED COMPONENTS
  roscpp
  moveit_core
)
moveit_build_options()

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
)

include_directories(include)
include_directories(SYSTEM ${catkin_INCLUDE_DIRS})

add_library(${PROJECT_NAME}
  src/chomp_cost.cpp
  src/chomp_parameters.cpp
  src/chomp_trajectory.cpp
  src/chomp_optimizer.cpp
  src/chomp_planner.cpp
)
set_target_properties(${PROJECT_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")

target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

## ros-noetic-chomp-motion-planner 1.1.11

=== debian/changelog ===
ros-noetic-chomp-motion-planner (1.1.11-1buster) buster; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Tue, 20 Dec 2022 23:00:00 -0000

ros-noetic-chomp-motion-planner (1.1.10-1buster) buster; urgency=high

  * Fix segfaults in CHOMP (#3204 <https://github.com/ros-planning/moveit/issues/3204>)
  * Contributors: Robert Haschke

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Mon, 12 Sep 2022 22:00:00 -0000

ros-noetic-chomp-motion-planner (1.1.9-1buster) buster; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sat, 05 Mar 2022 23:00:00 -0000

ros-noetic-chomp-motion-planner (1.1.8-1buster) buster; urgency=high

  * MSA: Add STOMP + OMPL-CHOMP configs (#2955 <https://github.com/ros-planning/moveit/issues/2955>)
    
      * Add stomp planner to MSA
      * Add OMPL-CHOMP planner to MSA
      * Remove obsolete CHOMP parameters
      * Update CHOMP config parameters to match code defaults
      * Create CHOMP config via template (instead of code)
    
  * Contributors: Rick Staa

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sat, 29 Jan 2022 23:00:00 -0000

ros-noetic-chomp-motion-planner (1.1.7-1buster) buster; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Thu, 30 Dec 2021 23:00:00 -0000

ros-noetic-chomp-motion-planner (1.1.6-1buster) buster; urgency=high

  * Use newly introduced cmake macro ``moveit_build_options()`` from ``moveit_core``
  * clang-tidy: modernize-make-shared, modernize-make-unique (#2762 <https://github.com/ros-planning/moveit/issues/2762>)
  * CHOMP: Rename param 'clearence' to 'clearance' (#2702 <https://github.com/ros-planning/moveit/issues/2702>, #2707 <https://github.com/ros-planning/moveit/issues/2707>)
  * Contributors: Martin Günther, Michael Görner, Robert Haschke, pvanlaar

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Fri, 05 Nov 2021 23:00:00 -0000

ros-noetic-chomp-motion-planner (1.1.5-1buster) buster; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sat, 22 May 2021 22:00:00 -0000

ros-noetic-chomp-motion-planner (1.1.4-1buster) buster; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Tue, 11 May 2021 22:00:00 -0000

ros-noetic-chomp-motion-planner (1.1.3-1buster) buster; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Wed, 28 Apr 2021 22:00:00 -0000

ros-noetic-chomp-motion-planner (1.1.2-1buster) buster; urgency=high

  * Sanitize CHOMP initialization method parameter (#2540 <https://github.com/ros-planning/moveit/issues/2540>)
  * Contributors: Cong Liu

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Wed, 07 Apr 2021 22:00:00 -0000

ros-noetic-chomp-motion-planner (1.1.1-1buster) buster; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Mon, 12 Oct 2020 22:00:00 -0000

ros-noetic-chomp-motion-planner (1.1.0-1buster) buster; urgency=high

  * [feature] Optional cpp version setting (#2166 <https://github.com/ros-planning/moveit/issues/2166>)
  * [feature] Unified Collision Environment Integration (#1584 <https://github.com/ros-planning/moveit/issues/1584>)
  * [fix] Various fixes for upcoming Noetic release (#2180 <https://github.com/ros-planning/moveit/issues/2180>)
  * [fix] Fix compiler warnings (#1773 <https://github.com/ros-planning/moveit/issues/1773>)
  * [fix] Fix calculation of potential (#1651 <https://github.com/ros-planning/moveit/issues/1651>)
  * [fix] Fix Chomp planning adapter (#1525 <https://github.com/ros-planning/moveit/issues/1525>)
  * [maint] clang-tidy fixes (#2050 <https://github.com/ros-planning/moveit/issues/2050>, #1419 <https://github.com/ros-planning/moveit/issues/1419>)
  * [maint] Replace namespaces robot_state and robot_model with moveit::core (#1924 <https://github.com/ros-planning/moveit/issues/1924>)
  * [maint] Switch from include guards to pragma once (#1615 <https://github.com/ros-planning/moveit/issues/1615>)
  * [maint] Remove ! from MoveIt name (#1590 <https://github.com/ros-planning/moveit/issues/1590>)
  * Contributors: Ayush Garg, Bence Magyar, Dave Coleman, Jens P, Jonathan Binney, Markus Vieth, Robert Haschke, Sean Yen, Tyler Weaver, Yu, Yan

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Thu, 03 Sep 2020 22:00:00 -0000

ros-noetic-chomp-motion-planner (1.0.6-1buster) buster; urgency=high

  * [maint] Migrate to clang-format-10
  * [maint] Optimize includes (#2229 <https://github.com/ros-planning/moveit/issues/2229>)
  * Contributors: Markus Vieth, Robert Haschke

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Tue, 18 Aug 2020 22:00:00 -0000

ros-noetic-chomp-motion-planner (1.0.5-1buster) buster; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Tue, 07 Jul 2020 22:00:00 -0000

ros-noetic-chomp-motion-planner (1.0.4-1buster) buster; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Fri, 29 May 2020 22:00:00 -0000

ros-noetic-chomp-motion-planner (1.0.3-1buster) buster; urgency=high

  * [maint] Apply clang-tidy fix to entire code base (#1394 <https://github.com/ros-planning/moveit/issues/1394>)
  * [maint] Windows build fixes
    * Fix header inclusion and other MSVC build errors (#1636 <https://github.com/ros-planning/moveit/issues/1636>)
    * Remove GCC extensions (#1583 <https://github.com/ros-planning/moveit/issues/1583>)
    * Fix binary artifact install locations. (#1575 <https://github.com/ros-planning/moveit/issues/1575>)
  * [maint] Use CMAKE_CXX_STANDARD to enforce c++14 (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * [fix]   Fix possible division-by-zero (#1809 <https://github.com/ros-planning/moveit/issues/1809>)
  * Contributors: Max Krichenbauer, Robert Haschke, Sean Yen, Yu, Yan

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sat, 25 Apr 2020 22:00:00 -0000

ros-noetic-chomp-motion-planner (1.0.2-1buster) buster; urgency=high

  * [fix] Fix chomp planner (#1512 <https://github.com/ros-planning/moveit/issues/1512>)


=== debian/control ===
Source: ros-noetic-chomp-motion-planner
Section: misc
Priority: optional
Maintainer: Chittaranjan Srinivas Swaminathan <chitt@live.in>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-moveit-core, ros-noetic-roscpp
Homepage: http://ros.org/wiki/chomp_motion_planner
Standards-Version: 3.9.2

Package: ros-noetic-chomp-motion-planner
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: chomp_motion_planner

## ros-noetic-chomp-motion-planner 1.1.13

=== debian/changelog ===
ros-noetic-chomp-motion-planner (1.1.13-2focal) focal; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Thu, 27 Jul 2023 22:00:00 -0000

ros-noetic-chomp-motion-planner (1.1.12-2focal) focal; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Fri, 12 May 2023 22:00:00 -0000

ros-noetic-chomp-motion-planner (1.1.11-2focal) focal; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Tue, 20 Dec 2022 23:00:00 -0000

ros-noetic-chomp-motion-planner (1.1.10-2focal) focal; urgency=high

  * Fix segfaults in CHOMP (#3204 <https://github.com/ros-planning/moveit/issues/3204>)
  * Contributors: Robert Haschke

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Mon, 12 Sep 2022 22:00:00 -0000

ros-noetic-chomp-motion-planner (1.1.9-2focal) focal; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sat, 05 Mar 2022 23:00:00 -0000

ros-noetic-chomp-motion-planner (1.1.8-2focal) focal; urgency=high

  * MSA: Add STOMP + OMPL-CHOMP configs (#2955 <https://github.com/ros-planning/moveit/issues/2955>)
    
      * Add stomp planner to MSA
      * Add OMPL-CHOMP planner to MSA
      * Remove obsolete CHOMP parameters
      * Update CHOMP config parameters to match code defaults
      * Create CHOMP config via template (instead of code)
    
  * Contributors: Rick Staa

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sat, 29 Jan 2022 23:00:00 -0000

ros-noetic-chomp-motion-planner (1.1.7-2focal) focal; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Thu, 30 Dec 2021 23:00:00 -0000

ros-noetic-chomp-motion-planner (1.1.6-2focal) focal; urgency=high

  * Use newly introduced cmake macro ``moveit_build_options()`` from ``moveit_core``
  * clang-tidy: modernize-make-shared, modernize-make-unique (#2762 <https://github.com/ros-planning/moveit/issues/2762>)
  * CHOMP: Rename param 'clearence' to 'clearance' (#2702 <https://github.com/ros-planning/moveit/issues/2702>, #2707 <https://github.com/ros-planning/moveit/issues/2707>)
  * Contributors: Martin Günther, Michael Görner, Robert Haschke, pvanlaar

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Fri, 05 Nov 2021 23:00:00 -0000

ros-noetic-chomp-motion-planner (1.1.5-2focal) focal; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sat, 22 May 2021 22:00:00 -0000

ros-noetic-chomp-motion-planner (1.1.4-2focal) focal; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Tue, 11 May 2021 22:00:00 -0000

ros-noetic-chomp-motion-planner (1.1.3-2focal) focal; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Wed, 28 Apr 2021 22:00:00 -0000

ros-noetic-chomp-motion-planner (1.1.2-2focal) focal; urgency=high

  * Sanitize CHOMP initialization method parameter (#2540 <https://github.com/ros-planning/moveit/issues/2540>)
  * Contributors: Cong Liu

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Wed, 07 Apr 2021 22:00:00 -0000

ros-noetic-chomp-motion-planner (1.1.1-2focal) focal; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Mon, 12 Oct 2020 22:00:00 -0000

ros-noetic-chomp-motion-planner (1.1.0-2focal) focal; urgency=high

  * [feature] Optional cpp version setting (#2166 <https://github.com/ros-planning/moveit/issues/2166>)
  * [feature] Unified Collision Environment Integration (#1584 <https://github.com/ros-planning/moveit/issues/1584>)
  * [fix] Various fixes for upcoming Noetic release (#2180 <https://github.com/ros-planning/moveit/issues/2180>)
  * [fix] Fix compiler warnings (#1773 <https://github.com/ros-planning/moveit/issues/1773>)
  * [fix] Fix calculation of potential (#1651 <https://github.com/ros-planning/moveit/issues/1651>)
  * [fix] Fix Chomp planning adapter (#1525 <https://github.com/ros-planning/moveit/issues/1525>)
  * [maint] clang-tidy fixes (#2050 <https://github.com/ros-planning/moveit/issues/2050>, #1419 <https://github.com/ros-planning/moveit/issues/1419>)
  * [maint] Replace namespaces robot_state and robot_model with moveit::core (#1924 <https://github.com/ros-planning/moveit/issues/1924>)
  * [maint] Switch from include guards to pragma once (#1615 <https://github.com/ros-planning/moveit/issues/1615>)
  * [maint] Remove ! from MoveIt name (#1590 <https://github.com/ros-planning/moveit/issues/1590>)
  * Contributors: Ayush Garg, Bence Magyar, Dave Coleman, Jens P, Jonathan Binney, Markus Vieth, Robert Haschke, Sean Yen, Tyler Weaver, Yu, Yan

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Thu, 03 Sep 2020 22:00:00 -0000

ros-noetic-chomp-motion-planner (1.0.6-2focal) focal; urgency=high

  * [maint] Migrate to clang-format-10
  * [maint] Optimize includes (#2229 <https://github.com/ros-planning/moveit/issues/2229>)
  * Contributors: Markus Vieth, Robert Haschke

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Tue, 18 Aug 2020 22:00:00 -0000

ros-noetic-chomp-motion-planner (1.0.5-2focal) focal; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Tue, 07 Jul 2020 22:00:00 -0000

ros-noetic-chomp-motion-planner (1.0.4-2focal) focal; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Fri, 29 May 2020 22:00:00 -0000

ros-noetic-chomp-motion-planner (1.0.3-2focal) focal; urgency=high

  * [maint] Apply clang-tidy fix to entire code base (#1394 <https://github.com/ros-planning/moveit/issues/1394>)
  * [maint] Windows build fixes
    * Fix header inclusion and other MSVC build errors (#1636 <https://github.com/ros-planning/moveit/issues/1636>)
    * Remove GCC extensions (#1583 <https://github.com/ros-planning/moveit/issues/1583>)
    * Fix binary artifact install locations. (#1575 <https://github.com/ros-planning/moveit/issues/1575>)
  * [maint] Use CMAKE_CXX_STANDARD to enforce c++14 (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * [fix]   Fix possible division-by-zero (#1809 <https://github.com/ros-planning/moveit/issues/1809>)


=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-chomp-motion-planner//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
